<?php get_header(); ?>
<main id="main">
  <h3 class="category_label">カテゴリー：
    <?php single_cat_title(); ?>
  </h3>
  <section class="blog-list">
    <div class="blog-list__container">
      <div class="blog-list__list">
        <article class="blog-list__list-item">
          <?php if (have_posts()):
            while (have_posts()):
              the_post(); ?>
              <div <?php post_class("post-wrap"); ?>>
                <div class="blog-item__content">
                  <a href="<?php the_permalink(); ?>" class="blog-item">
                    <figure class="blog-item__thumbnail">
                      <?php if (has_post_thumbnail()): ?>
                        <img class="blog-item__thumbnail-image" <?php the_post_thumbnail(array(1200, 630)); ?>
                        <?php else: ?>
                          <img src="<?php echo get_template_directory_uri(); ?>/imges/no-img.png" alt="NoImage">
                      <?php endif; ?>
                    </figure>
                    <div class="blog-item__content">
                      <h3 class="blog-item__title">
                        <?php the_title(); ?>
                      </h3>
                      <div class="blog-item__read">
                        <?php
                        if (mb_strlen(get_the_excerpt()) > 100) {
                          $excerpt = mb_substr(get_the_excerpt(), 0, 100);
                          echo $excerpt . '...';
                        } else {
                          echo get_the_excerpt();
                        }
                        ?>
                      </div>
                      <div class="post-date">
                        <span class="post-date-write">
                          <?php the_time("Y/m/j") ?>
                        </span>
                        <?php if (get_the_modified_time('Ymd') != get_the_time('Ymd')) {
                          echo '<span class="post-date-modified">更新日付：<time>' . get_the_modified_time('Y/m/d') . '</time></span>';
                        } ?>
                      </div>
                    </div>
                </div>
                </a>
            </article>
            <div>
            <?php endwhile; else: ?>
          <div class="post-wrap">
            <p>記事が見つかりません</p>
          </div>
        </div>
      </div>
      <?php endif; ?>
      <?php the_posts_pagination(
        array(
          'mid_size' => 2,
          // 現在ページの左右に表示するページ番号の数
          'prev_next' => true,
          // 「前へ」「次へ」のリンクを表示する場合はtrue
          'prev_text' => __('前へ'),
          // 「前へ」リンクのテキスト
          'next_text' => __('次へ'),
          // 「次へ」リンクのテキスト
          'type' => 'list',
          // 戻り値の指定 (plain/list)
        )
      ); ?>
  </section>
</main>
<?php get_footer(); ?>